{% macro default(id = "00", depth_id = "0000") %}
{% set navItems = [
    {
      id: "01",
      name: "소개",
      isDepth: true,
      depth: [
        {
          id: "0101",
          name: "회사소개"
        },
        {
          id: "0102",
          name: "오시는 길"
        },
        {
          id: "0103",
          name: "문의하기"
        }
      ]
    },
    {
      id: "02",
      name: "서비스",
      isDepth: true,
      depth: [
        {
          id: "0201",
          name: "선사 스케줄, B/K"
        },
        {
          id: "0202",
          name: "Tracking"
        },
        {
          id: "0203",
          name: "Space Protection"
        }
      ]
    },
    {
      id: "03",
      name: "고객지원",
      isDepth: true,
      depth: [
        {
          id: "0301",
          name: "공지사항"
        },
        {
          id: "0302",
          name: "1:1문의"
        }
      ]
    }
  ]
%}
<aside class="app-aside{% if id == '00' %} is-main-aside{% endif %}">
  <strong class="app-aside__logo">
    <a href="/" class="app-aside__logo--link"></a>
  </strong>
  <button type="button" class="btn-hamburger is-mobile">
    <span class="sr-only">menu toggle</span>
    <span class="btn-hamburger__bar"></span>
    <span class="btn-hamburger__bar"></span>
    <span class="btn-hamburger__bar"></span>
  </button>
  <div class="app-aside__wrap">
    <div class="app-aside__menu">
      <ul class="app-aside__container">
        <!-- 활성화 클래스: is-active -->
        {% for item in navItems %}
          <li class="app-aside__menu--item{% if id == item.id %} is-active{% endif %}">
            <a href="#" class="app-aside__menu--anchor">{{item.name}}</a>
            {% if item.isDepth %}
            <ul class="app-aside__depth">
              {% for dep in item.depth %}
                <li class="app-aside__depth--item{% if depth_id == dep.id %} is-active{% endif %}"><a href="#" class="app-aside__depth--link">{{ dep.name }}</a></li>
              {% endfor %}
            </ul>
            {% endif %}
          </li>
        {% endfor %}
      </ul>
    </div>
    <!-- user -->
    <div class="app-aside__utill">
      <!-- 2021-03-07 수정 -->
      <div class="buttons">
        <a href="#" class="btn btn__primary btn-service">서비스 <br> 바로가기</a>
      </div>
      <!-- // 2021-03-07 수정 -->
      <!-- 로그인 후
      <div class="buttons">
        <a href="#" class="btn btn__primary">로그아웃</a>
        <a href="#" class="btn btn__outline--primary">마이페이지</a>
      </div>
      -->
    </div>
  </div>
</aside>
{% endmacro %}
